Subject: Re: bug#55075: 29.0.50; vtable: Option to not draw the header line at all

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 23 Apr 2022 14:48:58 +0200

Visuwesh <[email-masked]> writes:

> In this example, it would be nice if vtable did not draw an empty column
> line when :use-header-line and :columns are nil, which would let the
> library users to draw rows of aligned texts without resorting to a
> workaround that sets header-line-format to nil afterwards.

Yup.  I've now changed it so that it doesn't create the header or header
line if columns aren't specified.

> P.S. shouldn't the default :face be variable-pitch-text instead?

variable-pitch-text is for when you assume that variable-pitch will be
mixed with fixed-width, and that's not usually the case here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no